!Programa que lê uma matriz apresentando uma mensagem pra cada linha
program matriz_le_imprime
	implicit none
    integer matriz(10,10), numLinhas, numColunas
    integer i,j
    
    write(*, *)"Programa que Le e Imprime uma matriz de , no maximo, 10 x 10."
    
    !Lê a dimensão da matriz que o usuario deseja trabalhar    
    write(*, *)
    write(*, *) "Digite o numero de linhas da matriz (maximo 10)"
	read (*, *) numLinhas
    write(*, *)
    write(*, *) "Digite o numero de colunas da matriz (maximo 10)"
	read (*, *) numColunas
    write(*, *)
    
    !Lê a matriz por linha 
    write(*, *)"Digite os elementos da matriz. Uma linha da matriz em cada linha da tela:"
    do i = 1, numLinhas, 1         
    		read (*, *) (matriz(i,j), j = 1, numColunas, 1)
    end do
    
    !Imprime a matriz por linha
    write(*, *)
    write(*, *) " Matriz Lida"
    do i = 1, numLinhas, 1
	    write(*, *) (matriz(i,j), j = 1, numColunas, 1)
  	end do
   stop
   
end program matriz_le_imprime